package com.bytedance.tiktok.homepage.mainfragment;

import X.3hg;
import X.7he;
import X.C0295Crj;
import X.C4594EjW;
import X.C4795Eml;
import X.C4839EnT;
import X.C4847Enb;
import X.M12;
import android.content.Context;
import android.os.Bundle;
import androidx.fragment.app.Fragment;
import com.bytedance.covode.number.Covode;

public abstract class TopTabProtocol implements C4594EjW {
    public final String LIZ = "";
    public final int LIZIZ = -2;
    public final C4795Eml LIZJ;
    public final C0295Crj LIZLLL = 7he.LIZ(new C4839EnT(this));

    static {
        Covode.recordClassIndex(38503);
    }

    public abstract String LIZIZ();

    public abstract String LIZIZ(Context context);

    public abstract Class<? extends Fragment> LIZJ();

    public boolean LIZJ(Context context) {
        M12.LIZ(context);
        return true;
    }

    public void LIZLLL(Context context) {
        M12.LIZ(context);
    }

    public abstract boolean LJFF();

    public final C4847Enb LJI() {
        return (C4847Enb) this.LIZLLL.getValue();
    }

    public abstract 3hg LJIIIIZZ();

    public void LJIIIZ() {
    }

    public void LJIIJ() {
    }

    public String LIZ() {
        return this.LIZ;
    }

    public int LIZLLL() {
        return this.LIZIZ;
    }

    public C4795Eml LJ() {
        return this.LIZJ;
    }

    public C4847Enb LJII() {
        return new C4847Enb();
    }

    public Bundle LIZ(Context context) {
        M12.LIZ(context);
        return new Bundle();
    }
}
